//////////////////////////////////////
// START of File: CE2_AREA.HPP
//////////////////////////////////////

#ifndef CE2_AREA_HPP
#define CE2_AREA_HPP

//===================================================================
//
// COPYRIGHT NOTICE:  This code is protected by Copyright!
//
// Copyright (c) 1994 through 1997 by DPC Technology Corporation.
// All rights reserved by DPC Technology Corporation. 
//
// See files "cf_copyr.txt" and "cf_licen.txt" for details of 
// copyright and license specifications, and contact information.
//
//===================================================================

// Master Header File Listing:
// Usage:   #include    <cf_api/ce2_area.hpp>
            // Class cf_eng_Area2D builds a 2D/3D (integral) 
            // Area Chart -- and then displays it in 2D (flat) Mode:

// Include Chart Framework class or ID defs/headers this file needs.
class       cf_ChartModel;
class       cf_ChartEngine; 
class       cf_eng_CartXYZ;
#include    <cf_api/ce1_ccor.hpp>
            // We'll be using MANY base-class methods!...


class CF_EXPORT   cf_eng_Area2D : public cf_eng_CartXYZ 
{

public:

    cf_eng_Area2D();

    virtual
    ~cf_eng_Area2D();

    virtual
    void    applyDataUpdate( cf_ChartModel *p_cf_cmodlDataSource );

};

#endif

//////////////////////////////////////
// END of File: CE2_AREA.HPP
//////////////////////////////////////


            
