
/////////////////////////////////////////
// START of File: b0_color.cpp
/////////////////////////////////////////

//-------------------------------------------------------------------
// COPYRIGHT NOTICE:  This code is protected by Copyright!
//
// Copyright (c) 1994 through 1997 by DPC Technology Corporation.
// All rights reserved.
//
// See files "cf_copyr.h" and "cf_licen.h" for details of
// copyright and license specifications, and contact information.
//-------------------------------------------------------------------

//-------------------------------------------------------------------
//
//	b0_color.cpp -- ZAF implementation of bf_Color
//
//-------------------------------------------------------------------

#include    <cf_api/b0_color.hpp>





//-------------------------------------------------------------------
//
//-------------------------------------------------------------------

bf_Color::bf_Color()
{
	zlcMapTo_ = ZAF_CLR_BLACK; 
}





//-------------------------------------------------------------------
//
//-------------------------------------------------------------------

bf_Color::bf_Color( int /*iRed*/, int /*iGreen*/, int /*iBlue*/ )
{
	//
	//	Currently unsupported, though ZAF users can instantiate a
	//	ZafLogicalColor by calling ZafDisplay::AddColor (r, g, b)
	//	and then constructing a bf_Color using the constructor
	//	below
	//
	zlcMapTo_ = ZAF_CLR_BLACK; 
}





//-------------------------------------------------------------------
//
//-------------------------------------------------------------------

bf_Color::bf_Color( ZafLogicalColor zlcFromThisColor )
{
	zlcMapTo_ = zlcFromThisColor; 
}





//-------------------------------------------------------------------
//
//-------------------------------------------------------------------

bf_Color::~bf_Color()
{
}





//-------------------------------------------------------------------
//
//-------------------------------------------------------------------

bf_Color::operator ZafLogicalColor()
{
	return zlcMapTo_; 
}





//-------------------------------------------------------------------
//
//-------------------------------------------------------------------

const int
bf_Color::r() const
{ 
	return( (const int)( 0 ) ); 
}





//-------------------------------------------------------------------
//
//-------------------------------------------------------------------

const int
bf_Color::g() const
{ 
	return( (const int)( 0 ) ); 
}





//-------------------------------------------------------------------
//
//-------------------------------------------------------------------

const int
bf_Color::b() const
{ 
	return( (const int)( 0 ) ); 
}





//////////////////////////////////////
// END of File: b0_color.cpp
//////////////////////////////////////

