//////////////////////////////////////
// START of File: C0_DYARR.HPP
//////////////////////////////////////

#ifndef NULL    // If a compiler is dim-witted...
#define NULL 0  // ...try to bring it up to speed!  
#endif          // This (hopefuly) should NOT happen a lot!
                     
#ifndef C0_DYARR_HPP
#define C0_DYARR_HPP    TRUE

//===================================================================
//
// COPYRIGHT NOTICE:  This code is protected by Copyright!
//
// Copyright (c) 1994, 1995, 1996, 1997 by DPC Technology.
// All rights reserved. 
//
// See files "cf_copyr.txt" and "cf_licen.txt" for details of 
// copyright and license specifications, and contact information.
//
//===================================================================

//
// Master Header File Listing:
//
// #include    <./api/include/c0_dyarr.hpp>
// Base Framework abstractions of "Color" objects.
//

class CF_EXPORT   cf_DyArr
{

public:

    cf_DyArr();

    cf_DyArr( int iInitSize );

    ~cf_DyArr();

    void*&      operator[] (int iIndex);
    void        growBy (int iIncrement);

private:

    void**      pvArray;
    int         iSize;

    void        resize (int iInitSize);


};  //
    // End of cf_DyArr Declaration.
    //

#endif

//////////////////////////////////////
// END of File: C0_DYARR.HPP
//////////////////////////////////////
            
