//////////////////////////////////////
// START of File: CE2_PSER.HPP
//////////////////////////////////////

#ifndef CE2_PSER_HPP
#define CE2_PSER_HPP

//===================================================================
//
// COPYRIGHT NOTICE:  This code is protected by Copyright!
//
// Copyright (c) 1994, 1995, 1996, 1997 by DPC Technology.
// All rights reserved.
//
// See files "cf_copyr.txt" and "cf_licen.txt" for details of
// copyright and license specifications, and contact information.
//
//===================================================================

// Master Header File Listing:
// Usage:   #include    <cf_api/ce2_pser.hpp>
            // Class cf_eng_PointSer2D builds a 2D/3D Point Series 
            // Chart -- and then displays it in 2D (flat) Mode:
            // Class cf_eng_PointSer3D builds a 2D/3D Point Series 
            // Chart -- and then displays it in 3D (depth) Mode:

// Include Chart Framework class or ID defs/headers this file needs.
class       cf_ChartModel;
class       cf_ChartEngine; 
class       cf_eng_CartXYZ;
#include    <cf_api/ce1_ccor.hpp>
            // We'll be using MANY base-class methods!...


class CF_EXPORT   cf_eng_PointSer2D : public cf_eng_CartXYZ 
{

public:

    cf_eng_PointSer2D();

    virtual
    ~cf_eng_PointSer2D();

    virtual
    void    applyDataUpdate( cf_ChartModel *p_cf_cmodlDataSource );

};

#endif

//////////////////////////////////////
// END of File: CE2_PSER.HPP
//////////////////////////////////////


